## obitools 1.2.12+dfsg

=== requirements.txt ===
--extra-index-url https://pypi.python.org/simple/
Cython>=0.24
Sphinx>=1.2.0
wheel>=0.24.0
virtualenv>=1.11.0
ipython<6.0

=== debian/changelog ===
obitools (1.2.12+dfsg-2) unstable; urgency=medium

  * Drop ecoPCR.1.gz and ecofind.1 from package
    Closes: #920359
  * Section: science

 -- Andreas Tille <tille@debian.org>  Mon, 28 Jan 2019 16:24:48 +0100

obitools (1.2.12+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #783833)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Jan 2019 21:25:12 +0100

=== debian/control ===
Source: obitools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-python,
               python-dev,
               python-sphinx,
               cython,
               ipython,
               python-wheel,
               python-virtualenv
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/obitools
Vcs-Git: https://salsa.debian.org/med-team/obitools.git
Homepage: https://pypi.python.org/pypi/OBITools

Package: obitools
Architecture: amd64
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends},
         libjs-sphinxdoc
Description: programs to analyze NGS data in a DNA metabarcoding context
 The OBITools programs aims to help you to manipulate various data and
 sequence files in a convenient way using the Unix command line interface.
 They follow the standard Unix interface for command line program, allowing to
 chain a set of commands using the pipe mechanism.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all


export PYBUILD_NAME=obitools

%:
	dh $@  --with python2,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf build
	rm -f doc/sphinx/build_dir.txt

override_dh_auto_install:
	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python) \
		http_proxy='127.0.0.1:9' \
	    dh_auto_install

override_dh_installman:
	dh_installman
	find debian -name "ecoPCR.1*" -delete
	find debian -name "ecofind.1*" -delete

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//,uversionmangle=s/(rc|a|b|c)/~$1/,repack,compression=xz" \
http://pypi.debian.net/OBITools/OBITools-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## obitools 1.2.13%2Bdfsg

=== debian/changelog ===
obitools (1.2.13+dfsg-4build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 20:12:42 +0000

obitools (1.2.13+dfsg-4) unstable; urgency=medium

  * Remove useless docs
  * Do not link to code documentation which is not installed any more
    Closes: #988858
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)
  * Close Python3 port bug since upstream is dead and our 2to3 port has not
    triggered any issue
    Closes: #935340

 -- Andreas Tille <tille@debian.org>  Tue, 14 Dec 2021 13:32:34 +0100

obitools (1.2.13+dfsg-3) unstable; urgency=medium

  [ Python3 port of obitools ]
  * Use 2to3 to port from Python2 to Python3
    Closes: #937177
  * Manual patch for cython related files

  [ Andreas Tille ]
  * Add debian/NEWS
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 07 Mar 2020 07:47:13 +0100

obitools (1.2.13+dfsg-2) unstable; urgency=medium

  * Apply patch by Olivier Sallou to work around bug at cleanup
    This also prevents creating sphinx documentation.
    Closes: #935287
  * Standards-Version: 4.4.1
  * Use secure URI in debian/watch.
  * Remove src/OBITools.egg-info in clean target to build twice in a row

 -- Andreas Tille <tille@debian.org>  Mon, 02 Dec 2019 12:17:04 +0100

obitools (1.2.13+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Created with routine-update script
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Build-Depends: s/python-sphinx/python3-sphinx/

 -- Steffen Moeller <moeller@debian.org>  Sat, 27 Jul 2019 13:11:02 +0200

## obitools 1.2.13+dfsg

=== requirements.txt ===
--extra-index-url https://pypi.python.org/simple/
Cython>=0.24
Sphinx<2.0
wheel>=0.24.0
virtualenv>=1.11.0
ipython<6.0

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
#SPHINXBUILD   = /Library/Frameworks/Python.framework/Versions/2.7/bin/sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The e-Pub pages are in $(BUILDDIR)/epub."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/OBITools.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/OBITools.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
obitools (1.2.13+dfsg-7ubuntu0.1) noble; urgency=medium

  * Fix crash from use of heapsort. (LP: #2062068)
  * Use pickle to fix crash with extractreads. (LP: #2069647)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 29 Jun 2024 20:05:29 +0100

obitools (1.2.13+dfsg-7build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 20:34:26 +0000

obitools (1.2.13+dfsg-7) unstable; urgency=medium

  * Drop cython3 dependency from binary package
    Closes: #1057995

 -- Andreas Tille <tille@debian.org>  Sun, 17 Dec 2023 20:52:01 +0100

obitools (1.2.13+dfsg-6) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Switch to cython3-legacy.
    Closes: #1056824

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 10 Dec 2023 11:55:11 +0100

obitools (1.2.13+dfsg-5) unstable; urgency=medium

  [ Andreas Tille ]
  * Team Upload.
  * Disable build package on i386 on Salsa CI
  * Disable blhc on Salsa CI

  [ Nilesh Patra ]
  * Add patch to fix FTBFS (Closes: #1022427)
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 24 Oct 2022 12:08:04 +0530

=== debian/control ===
Source: obitools
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-dev,
               python3-sphinx,
               cython3-legacy,
               ipython3,
               python3-wheel,
               python3-virtualenv
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/obitools
Vcs-Git: https://salsa.debian.org/med-team/obitools.git
Homepage: https://pypi.python.org/pypi/OBITools
Rules-Requires-Root: no

Package: obitools
Architecture: amd64
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends},
         libjs-sphinxdoc
Description: programs to analyze NGS data in a DNA metabarcoding context
 The OBITools programs aims to help you to manipulate various data and
 sequence files in a convenient way using the Unix command line interface.
 They follow the standard Unix interface for command line program, allowing to
 chain a set of commands using the pipe mechanism.

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,16 @@
 export PYBUILD_NAME=obitools
 
 %:
-	dh $@  --with python2,sphinxdoc --buildsystem=pybuild
+	dh $@  --with python3 --buildsystem=pybuild
+
+override_dh_auto_clean:
+	# skip it
 
 override_dh_clean:
 	dh_clean
 	rm -rf build
 	rm -f doc/sphinx/build_dir.txt
+	rm -rf src/OBITools.egg-info
 
 override_dh_auto_install:
 	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python) \

## obitools 3.0.1~b26%2Bdfsg

=== debian/control ===
Source: obitools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-dev:native,
               libpython3-dev,
               python3-setuptools,
               cython3,
               cmake
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/obitools
Vcs-Git: https://salsa.debian.org/med-team/obitools.git
Homepage: https://metabarcoding.org/obitools3
Testsuite: autopkgtest-pkg-python

Package: obitools
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: programs to analyze NGS data in a DNA metabarcoding context
 The OBITools programs aims to help you to manipulate various data and
 sequence files in a convenient way using the Unix command line interface.
 They follow the standard Unix interface for command line program, allowing to
 chain a set of commands using the pipe mechanism.

## obitools 3.0.1~b26+dfsg

=== requirements.txt ===
--extra-index-url https://pypi.python.org/simple/
Cython>=0.24
Sphinx>=1.2.0
ipython>=3.0.0
breathe>=4.0.0

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)

SET(PYTHONLIB "po" CACHE STRING "Location of the python site-package directory")

project (cobitools3 LANGUAGES C)

set(CMAKE_BUILD_TYPE Release)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

file(GLOB_RECURSE CSRC "*.c")

add_library(cobitools3 SHARED   obisig.c
                                obierrno.c
								obidms_taxonomy.c
								obiblob_indexer.c
								obi_lcs.c
								obidmscolumn_str.c
								bloom.c
								build_reference_db.c
								obidmscolumn_array.c
								obidmscolumn_idx.c
								obidmscolumn_bool.c
								libjson/json_utils.c
								libjson/cJSON.c
								obidmscolumn_blob.c
								dna_seq_indexer.c
								obi_ecotag.c
								encode.c
								obiavl.c
								sse_banded_LCS_alignment.c
								kmer_similarity.c
								obidmscolumn_qual.c
								obi_clean.c
								utils.c
								uint8_indexer.c
								murmurhash2.c
								obidmscolumn_char.c
								obiview.c
								obidmscolumn_int.c
								linked_list.c
								obiblob.c
								hashtable.c
								obidmscolumn.c
								char_str_indexer.c
								obidmscolumn_float.c
								upperband.c
								crc64.c
								obidmscolumn_seq.c
								obilittlebigman.c
								obidmscolumndir.c
								obidms.c
								obi_ecopcr.c
								libecoPCR/libthermo/nnparams.c
								libecoPCR/ecoapat.c
								libecoPCR/libapat/libstki.c
								libecoPCR/libapat/apat_search.c
								libecoPCR/libapat/apat_parse.c
								libecoPCR/ecodna.c
								libecoPCR/ecoMalloc.c
								libecoPCR/ecoError.c
								obitypes.c
								array_indexer.c)

find_package(OpenMP)
if(OpenMP_C_FOUND)
    target_link_libraries(cobitools3 PUBLIC OpenMP::OpenMP_C)
endif()
					
install(TARGETS cobitools3 DESTINATION ${PYTHONLIB})

=== debian/changelog ===
obitools (3.0.1~b26+dfsg-5) unstable; urgency=medium

  * Team upload.
  * cython3.patch: fix build failure with cython3. (Closes: #1119752)
  * cflags.patch: new: propagate missing CFLAGS. (Closes: #1119509)
  * d/{clean,rules}: repair the "clean" target. (Closes: #1047870)
  * d/triggers: new: ensure ldconfig execution after install.
  * no_cython_in_binary_package.patch: dep3 header.
  * d/watch: convert to v5 PyPI project scanner.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Tue, 04 Nov 2025 23:20:25 +0100

obitools (3.0.1~b26+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with Python 3.13 as the default (Closes: #1092065).

 -- Stuart Prescott <stuart@debian.org>  Fri, 10 Jan 2025 23:52:37 +1100

obitools (3.0.1~b26+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Install the shared library to the correct directory and remove the
    rpath.
  * Add a basic smoke autopkgtest
  * Improve cross-building
  * Add another smoke test
  * Add tutorial data and an autopkgtest using it.
  * d/control: new upstream doesn't have any docs to build. Remove
    remaining sphinx parts.
  * Added patch to fix running on Python3.12+.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 21 Nov 2024 16:40:55 +0100

obitools (3.0.1~b26+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/control: new homepage
  * d/rules: don't try to run any tests, there aren't any.
  * Fixed non-root builds.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 21 Nov 2024 01:09:03 +0100

obitools (3.0.1~b26+dfsg-1) unstable; urgency=medium

  * Team upload.
  * d/watch: switch to OBITools3
  * Deleted all patches except no_cython_in_binary_package.patch
  * copyright: update for missing file
  * d/control: needs cmake
  * d/control: switch to Cython 3.x
  * Added patch to enable building on any architecture.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 20 Nov 2024 19:00:04 +0100

obitools (1.2.13+dfsg-9) unstable; urgency=medium

  [ Sudip Mukherjee ]
  * Use pickle to fix error with extractreads. (Closes: #1073586)

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jun 2024 09:39:45 +0200

obitools (1.2.13+dfsg-8) unstable; urgency=medium

  * Team upload.
  * qsort.patch: new: replace heapsort by qsort. (Closes: #1066369)
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Sat, 20 Apr 2024 10:41:15 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,14 +8,11 @@
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-
-export PYBUILD_NAME=obitools
+export PYBUILD_NAME=obitools3
+export PYBUILD_DISABLE=test
 
 %:
-	dh $@  --with python3 --buildsystem=pybuild
-
-override_dh_auto_clean:
-	# skip it
+	dh $@  --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean

=== debian/tests/control ===
Test-Command: obi --help
Depends: @
Restrictions: superficial

Tests: wolf-tutorial
Depends: @, less
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Source: https://pypi.python.org/packages/source/O/OBITools3/
Matching-Pattern: OBITools3-@ANY_VERSION@@ARCHIVE_EXT@
UVersion-Mangle: s/(rc|a|b|c)/~$1/
Repack-Suffix: +dfsg
DVersion-Mangle: auto
